Subject: C Compilation variables present in output Makefiles unconditionally

From: Stefano Lattarini <[email-masked]>
Date: Wed, 05 Jun 2013 12:03:15 +0200

[+cc bug-automake, so this will be registered in the bug tracker]

On 06/05/2013 07:16 AM, Ralf Corsepius wrote:
> On 06/03/2013 09:14 PM, Stefano Lattarini wrote:
>> We are pleased to announce the GNU Automake 1.13.3 maintenance release.
> 
> When comparing automake-1.13.2 generated Makefile.ins against
> automake-1.13.3 generated Makefile.in, in projects which are
> _not_ using "c" I am observing changes like this one below:
> 
> --- a/Makefile.in
> +++ b/Makefile.in
> ...
> @@ -109,6 +109,18 @@ AM_V_at = $(am__v_at_@AM_V@)
>  am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
>  am__v_at_0 = @
>  am__v_at_1 =
> +COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
> +       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
> +AM_V_CC = $(am__v_CC_@AM_V@)
> +am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
> +am__v_CC_0 = @echo "  CC      " $@;
> +am__v_CC_1 =
> +CCLD = $(CC)
> +LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
> +AM_V_CCLD = $(am__v_CCLD_@AM_V@)
> +am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
> +am__v_CCLD_0 = @echo "  CCLD    " $@;
> +am__v_CCLD_1 =
>  SOURCES =
>  DIST_SOURCES =
>  AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
> ...
>
Yeah, this shouldn't happen.  Not a serious regression thankfully,
but still unpleasant.

> So far, I havn't had sufficient time to implement a simple reproducer,
> but I am inclined to believe, automake-1.13.3 inserts c-compiler
> related vars into Makefile.ins, in cases no C-compiler is being used.
>
Thanks for the report, I'll try to look into this ASAP (might be
few days though).  I already have in mind which set of changes
can be responsible for the regression (that is, those related to
the fixing of automake bug#14441).

Regards,
  Stefano